## class OSGUTIL_EXPORT osgUtil::RenderLeaf

> container class for all data required for rendering of drawables

## Inheritance:

### Public Fields

RenderGraph* _parent
osg::Drawable* _drawable
osg::ref_ptr<osg::RefMatrix> _projection
osg::ref_ptr<osg::RefMatrix> _modelview
float _depth

### Public Methods

inline RenderLeaf(osg::Drawable* drawable, osg::RefMatrix* projection, osg::RefMatrix* modelview, float depth=0.0f)
inline void set(osg::Drawable* drawable, osg::RefMatrix* projection, osg::RefMatrix* modelview, float depth=0.0f)
inline void reset()
virtual void render(osg::State& state, RenderLeaf* previous)

## Documentation

> container class for all data required for rendering of drawables

`inline RenderLeaf(osg::Drawable* drawable, osg::RefMatrix* projection, osg::RefMatrix* modelview, float depth=0.0f)`

`inline void set(osg::Drawable* drawable, osg::RefMatrix* projection, osg::RefMatrix* modelview, float depth=0.0f)`

`inline void reset()`

`virtual void render(osg::State& state, RenderLeaf* previous)`

`RenderGraph* _parent`

`osg::Drawable* _drawable`

`osg::ref_ptr<osg::RefMatrix> _projection`

`osg::ref_ptr<osg::RefMatrix> _modelview`

`float _depth`

This class has no child classes.

Friends:
  class osgUtil::RenderGraph

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.